KCAPI_RNG_SEED(3)

NAME
kcapi_rng_seed - seed the RNG

SYNOPSIS

int kcapi_rng_seed(struct kcapi_handle * handle, uint8_t * seed, uint32_t seedlen);

ARGUMENTS

handle
    [in] cipher handle

seed
    [in] seed data

seedlen
    [in] size of seed

DESCRIPTION

Note, this call must be called to initialize the selected RNG. When the SP800-90A DRBG is used, this call causes the DRBG to seed itself from the internal noise sources.

Note, in case of using the SP800-90A DRBG, the seed buffer may be NULL. If it is not NULL, the DRBG uses the given data either as personalization string in case of the initial seeding or additional data for reseeding.

return 0 upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT